# $Revision: 1.38 $, $Date: 2012/03/28 14:20:52 $
# Often html doc files aren't sync with tf releases.
# New tf releases contains mostly bug fixes, so
# older docs should be ok.
%define		doc_ver 	50b8
Summary:	tf - TinyFugue - text-mode MUD client
Summary(pl.UTF-8):	tf - TinyFugue - tekstowy klient do MUD-ów
Name:		tf
Version:	50b8
Release:	4
License:	GPL
Group:		Applications/Games
Source0:	http://dl.sourceforge.net/tinyfugue/%{name}-%{version}.tar.gz
# Source0-md5:	3e994e791966d274f63b0e61abf2ef59
Source1:	http://dl.sourceforge.net/tinyfugue/%{name}-%{doc_ver}-help.tar.gz
# Source1-md5:	26eb64b2f811c8143e9c08654d26d138
Source2:	http://www.ingwar.eu.org/downloads/%{name}.syntax.gz
# Source2-md5:	398aa4c28e83fb2ce688eade24c5fc88
Patch0:		pcre.patch
URL:		http://sourceforge.net/projects/tinyfugue/
BuildRequires:	autoconf
BuildRequires:	ncurses-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
TinyFugue is a MUD-Client (Multi User Dungeons) that allows the user
to dive into one the most fascinating
Multi-User-Non-Graphic-Fantasy-Role-Playing-Games. Just Enter "tf" and
enjoy your game. This client works in text mode, supports MCCP
compression and multiline statusbar.

%description -l pl.UTF-8
TinyFugue jest klientem MUD (Multi User Dungeons), który pozwala
użytkownikowi zagłębić się w najbardziej fascynujący świat
Multi-User-Non-Graphic-Fantasy-Role-Playing-Games. Jest to po prostu
jeden z najlepszych, jeśli nie najlepszy klient do gry w MUD-y. Działa
w trybie tekstowym, obsługuje protokół kompresji MCCP oraz posiada
obsługę wieloliniowego statusu.

%package doc
Summary:	tf - TinyFugue - text-mode MUD client - HTML help files
Summary(pl.UTF-8):	tf - TinyFugue - tekstowy klient do MUD-ów - pliki pomocy w HTML
Group:		Applications/Games

%description doc
HTML help files.

%description doc -l pl.UTF-8
Pliki pomocy w HTML.

%prep
%setup -q
tar xzPf %{SOURCE1}
cp %{SOURCE2} .
%patch0 -p1

%build
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT%{_libdir}/tf-lib
install -d $RPM_BUILD_ROOT%{_docdir}/%{name}-doc-%{version}/topics
install -d $RPM_BUILD_ROOT%{_docdir}/%{name}-doc-%{version}/commands


install tf-lib/* $RPM_BUILD_ROOT%{_libdir}/tf-lib
install src/tf $RPM_BUILD_ROOT%{_bindir}

install %{name}-%{doc_ver}-help/topics/* $RPM_BUILD_ROOT%{_docdir}/%{name}-doc-%{version}/topics
install %{name}-%{doc_ver}-help/commands/* $RPM_BUILD_ROOT%{_docdir}/%{name}-doc-%{version}/commands
install %{name}-%{doc_ver}-help/index.html $RPM_BUILD_ROOT%{_docdir}/%{name}-doc-%{version}/index.html

%clean
rm -rf $RPM_BUILD_ROOT

%post
echo "%{name}-%{version} is _beta_ release!"
echo "Some of your scripts may not work or work not properly."
echo "You have been warned."

%files
%defattr(644,root,root,755)
%doc CHANGES CREDITS README tf.syntax.gz
%attr(755,root,root) %{_bindir}/*
%{_libdir}/%{name}-lib

%files doc
%defattr(644,root,root,755)
%{_docdir}/%{name}-doc-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tf.spec,v $
Revision 1.38  2012/03/28 14:20:52  wiget
- fix build with pcre 8.30
- rel. 4

Revision 1.37  2012/03/28 07:24:06  arekm
- release 3

Revision 1.36  2010/04/12 19:30:57  arekm
- release 2

Revision 1.35  2009/05/06 06:36:43  amateja
- fixed SourceX-md5

Revision 1.34  2009/05/06 06:31:52  amateja
- updated to 50b8

Revision 1.33  2007/02/12 22:09:17  glen
- tabs in preamble

Revision 1.32  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.31  2005/10/09 10:08:52  snurf
- up to 50b7

Revision 1.30  2005/07/05 13:08:03  darekr
- simplify %setup

Revision 1.29  2004/10/31 15:32:14  paladine
- spaces->tabs

Revision 1.28  2004/08/09 16:07:51  snurf
- updated to 50b6

Revision 1.27  2004/08/04 15:18:50  snurf
- updated to 50b5

Revision 1.26  2004/07/30 14:49:27  snurf
- added missing br (tf builds and works without ncurses-devel, but terminal
  codes are hardcoded - that couses strange behaviour with f.e. keybindings)

Revision 1.25  2004/07/12 17:35:28  snurf
- updated
 * up to 50b4
 * release 1 (reported to work fine)
 * added mc tf syntax hilighting by Karol Lassak (ingwar at go2 dot pl)
 * added missing BR

Revision 1.24  2004/02/18 23:30:37  tommat
- help source tar.gz have . in directory tree - forced tar to extract
  files with absolute path, now it builds.

Revision 1.23  2004/02/09 15:17:59  snurf
- fixed sources urls

Revision 1.22  2004/02/09 14:36:25  qboosh
- missing dirs

Revision 1.21  2004/02/09 14:30:28  snurf
- updated to 50b3:
 * removed MCCP patch (new tf supports it)
 * added patch from http://dione.ids.pl/~yossa/tf/, which allows using
   multiline statusbar
 * added doc subpackage with html help files

Revision 1.20  2003/08/18 08:09:36  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.19  2003/06/24 07:27:57  qboosh
- more pl fixes, sync en description

Revision 1.18  2003/06/23 23:20:48  snurf
- mccp patch moved to cvs (no need for distfiles)

Revision 1.17  2003/06/23 15:49:22  blues
- fixed pl description

Revision 1.16  2003/06/23 15:09:20  snurf
- STBR for Ra

Revision 1.15  2003/06/06 18:43:00  snurf
- cosmetics

Revision 1.14  2003/06/06 09:12:43  snurf
- added MCCP patch

Revision 1.13  2003/05/28 13:02:14  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 06:27:19  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2002/11/05 12:42:51  qboosh
- use proper CFLAGS, added missing help file (#414); release 2

Revision 1.10  2002/08/04 10:28:38  kloczek
- added using more macrocs,
- removed %%{_datadir}/%{name}/README from %files.

Revision 1.9  2002/07/31 10:19:08  leafnode
- applied patch correcting libs filenames
- added manual page
- removed libs symlinks

Revision 1.8  2002/07/30 21:55:37  kloczek
- use new %doc.

Revision 1.7  2002/07/29 08:44:37  leafnode
 - corrected typos
 - removed unnecessary links, definitions

Revision 1.6  2002/02/23 04:49:04  kloczek
- adapterized.

Revision 1.5  2002/02/22 23:29:48  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 02:15:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/11/07 11:09:28  qboosh
- adapterized, typos, PLDified %%prep,%%build,%%install

Revision 1.2  2001/10/17 07:30:46  qwark
hopefully  this is the end of trouble with install script (some workaround)

Revision 1.1  2001/10/16 21:50:43  qwark
it's itial relase after some troubles with tf install script
 Added Files:
 	tf.spec

Revision 1.0  2001/10/17 23:50:53  qwark
- initial release
Based on spec written for RH
%{_mandir}/man1/tf.1*
